Ask / Submit
1

Friends sync

asked 2015-05-03 16:08:54 +0300

mendes gravatar image

Hallo, my Jolla runs Sailfish OS 1.1.2.16 Yliaavanlampi. Since yesterday Friends is not able to sync with Facebook anymore. The problem is not only for the upgrade 1 1.4 28.

edit retag flag offensive close delete

Comments

That's probably because the Friends application uses an old version of the Facebook API, which was deprecated on April 30th 2015. See the following page: https://developers.facebook.com/docs/apps/api-v1-deprecation

Ludovic Silvestre ( 2015-05-03 16:37:32 +0300 )edit

Friends is basically dead now, sadly

strongm ( 2015-05-03 16:59:33 +0300 )edit

1 Answer

Sort by » oldest newest most voted
6

answered 2015-05-03 17:06:47 +0300

simo gravatar image

Friends, like any other app trying to access any other than public FB content, needs to use newer Facebook API which will be introduced on Jolla starting from 1.1.4 update. Also the Friends app itself might need an update because of this.

The old Facebook API, still used on Sailfish OS 1.1.2 and earlier versions, is no longer (since April 30, 2015) supported by Facebook. Quoted from FB:

Your app must be upgraded to make calls to v2.0 or greater. SOURCE

After April 30th, 2015 apps will no longer be able to access the service or API. This includes both access to chat.facebook.com and the xmpp_login permission. SOURCE

Access to the Public Feed API is restricted to a limited set of media publishers and usage requires prior approval by Facebook. You cannot apply to use the API at this time. SOURCE

More at:

edit flag offensive delete publish link more
Login/Signup to Answer

Question tools

Follow
1 follower

Stats

Asked: 2015-05-03 16:08:54 +0300

Seen: 313 times

Last updated: May 03 '15